PCAP_DUMP(3) | Library Functions Manual | PCAP_DUMP(3)

# NAME

pcap_dump - write a packet to a capture file

# SYNOPSIS

    #include <pcap/pcap.h>

    void pcap_dump(u_char *user, struct pcap_pkthdr *h,
    u_char *sp);

# DESCRIPTION

pcap_dump() outputs a packet to the ``savefile'' opened with pcap_dump_open(). Note that its calling arguments are suitable for use with pcap_dispatch() or pcap_loop(). If called directly, the user parameter is of type pcap_dumper_t as returned by pcap_dump_open().

# SEE ALSO

pcap(3), pcap_dump_open(3), pcap_dispatch(3), pcap_loop(3)

8 March 2015 |